## lambda-term 1.9

=== Makefile ===
# Makefile
# --------
# Copyright : (c) 2012, Jeremie Dimino <jeremie@dimino.org>
# Licence   : BSD3
#
# Generic Makefile for oasis project

# Set to setup.exe for the release
SETUP := setup.exe

# Default rule
default: build

# Setup for the development version
setup-dev.exe: _oasis setup.ml
	sed '/^#/D' setup.ml > setup_dev.ml
	ocamlfind ocamlopt -o $@ -linkpkg -package ocamlbuild,oasis.dynrun setup_dev.ml || \
	  ocamlfind ocamlc -o $@ -linkpkg -package ocamlbuild,oasis.dynrun setup_dev.ml || true
	rm -f setup_dev.*

# Setup for the release
setup.exe: setup.ml
	ocamlopt.opt -o $@ $< || ocamlopt -o $@ $< || ocamlc -o $@ $<
	rm -f setup.cmx setup.cmi setup.o setup.obj setup.cmo

build: $(SETUP) setup.data
	./$(SETUP) -build $(BUILDFLAGS)

doc: $(SETUP) setup.data build
	./$(SETUP) -doc $(DOCFLAGS)

test: $(SETUP) setup.data build
	./$(SETUP) -test $(TESTFLAGS)

all: $(SETUP)
	./$(SETUP) -all $(ALLFLAGS)

install: $(SETUP) setup.data
	./$(SETUP) -install $(INSTALLFLAGS)

uninstall: $(SETUP) setup.data
	./$(SETUP) -uninstall $(UNINSTALLFLAGS)

reinstall: $(SETUP) setup.data
	./$(SETUP) -reinstall $(REINSTALLFLAGS)

clean: $(SETUP)
	./$(SETUP) -clean $(CLEANFLAGS)

distclean: $(SETUP)
	./$(SETUP) -distclean $(DISTCLEANFLAGS)

configure: $(SETUP)
	./$(SETUP) -configure $(CONFIGUREFLAGS)

setup.data: $(SETUP)
	./$(SETUP) -configure $(CONFIGUREFLAGS)

.PHONY: default build doc test all install uninstall reinstall clean distclean configure

=== debian/changelog ===
lambda-term (1.9-4) unstable; urgency=medium

  * ... and install .a files into the -dev package

 -- Hilko Bengen <bengen@debian.org>  Sat, 13 Feb 2016 19:37:36 +0100

lambda-term (1.9-3) unstable; urgency=medium

  * Install native object files (*.cmx) on native architectures only

 -- Hilko Bengen <bengen@debian.org>  Sat, 13 Feb 2016 13:00:30 +0100

lambda-term (1.9-2) unstable; urgency=medium

  * Fix Make syntax in debian/rules which caused FTBFS on bytecode
    architectures

 -- Hilko Bengen <bengen@debian.org>  Fri, 12 Feb 2016 21:58:26 +0100

lambda-term (1.9-1) unstable; urgency=low

  * Initial release. (Closes: #658596)

 -- Hilko Bengen <bengen@debian.org>  Wed, 06 Jan 2016 15:37:28 +0100

=== debian/control ===
Source: lambda-term
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Nicolas Dandrimont <nicolas.dandrimont@crans.org>,
 Lifeng Sun <lifongsun@gmail.com>,
 Hilko Bengen <bengen@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-ocaml (>= 0.9),
 liblwt-ocaml-dev (>= 2.3.0~),
 libzed-ocaml-dev (>= 1.1~),
 ocaml-findlib,
 ocaml-nox (>= 3.12.0~)
Standards-Version: 3.9.6
Section: ocaml
Homepage: http://forge.ocamlcore.org/projects/lambda-term/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/lambda-term.git
Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/lambda-term.git

Package: liblambda-term-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides:
 ${ocaml:Provides}
Recommends:
 liblambda-term-ocaml-doc,
 ocaml-findlib
Description: terminal manipulation library for OCaml (development tools)
 Lambda-term is a cross-platform library for manipulating the
 terminal. It provides abstraction for keys, mouse events, colors, as
 well as a set of widgets to write curses-oriented applications.
 .
 This package contains the development stuff needed to use the
 lambda-term library in your programs.

Package: liblambda-term-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides:
 ${ocaml:Provides}
Description: terminal manipulation library for OCaml (runtime)
 Lambda-term is a cross-platform library for manipulating the
 terminal. It provides abstraction for keys, mouse events, colors, as
 well as a set of widgets to write curses-oriented applications.
 .
 This package contains the runtime libraries for programs using
 lambda-term.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

export OCAML_DLL_DIR
export OCAML_HAVE_OCAMLOPT
export OCAMLFIND_DESTDIR=$(DESTDIR)/$(OCAML_STDLIB_DIR)
export OCAMLFIND_LDCONF=ignore

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	ocaml setup.ml -configure --prefix /usr --destdir '$(DESTDIR)' --docdir /usr/share/doc/liblambda-term-ocaml-dev

.PHONY: override_dh_auto_build
override_dh_auto_build:
	ocaml setup.ml -build
	ocaml setup.ml -doc

.PHONY: override_dh_auto_test
override_dh_auto_test:
	ocaml setup.ml -test

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p '$(OCAMLFIND_DESTDIR)'
	ocaml setup.ml -install

.PHONY: override_dh_install
override_dh_install:
ifeq ($(OCAML_NATDYNLINK),no)
	find $(DESTDIR) -name '*.cmxs' -delete
endif
	dh_install --fail-missing

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	ocaml setup.ml -distclean

=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/" \
https://github.com/diml/lambda-term/releases .*/archive/(.*)\.tar\.gz

## lambda-term 1.10

=== debian/changelog ===
lambda-term (1.10-1build1) yakkety; urgency=medium

  * No-change rebuild for ocaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 02 Sep 2016 12:16:32 +0000

lambda-term (1.10-1) unstable; urgency=medium

  * New upstream release

 -- Hilko Bengen <bengen@debian.org>  Mon, 25 Apr 2016 19:40:27 +0200

## lambda-term 1.10.1

=== Makefile ===
--- 
+++ 
@@ -36,12 +36,14 @@
 	./$(SETUP) -all $(ALLFLAGS)
 
 install: $(SETUP) setup.data
+	ocamlfind remove lambda-term 2>/dev/null || true
 	./$(SETUP) -install $(INSTALLFLAGS)
 
 uninstall: $(SETUP) setup.data
 	./$(SETUP) -uninstall $(UNINSTALLFLAGS)
 
 reinstall: $(SETUP) setup.data
+	ocamlfind remove lambda-term 2>/dev/null || true
 	./$(SETUP) -reinstall $(REINSTALLFLAGS)
 
 clean: $(SETUP)

=== debian/changelog ===
lambda-term (1.10.1-2build7) eoan; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 06 Sep 2019 15:30:44 +0200

lambda-term (1.10.1-2build6) eoan; urgency=medium

  * No-change rebuild against liblwt-ocaml-wzhx7

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 22 Aug 2019 06:38:30 +0000

lambda-term (1.10.1-2build5) eoan; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 05 Aug 2019 22:58:03 +0200

lambda-term (1.10.1-2build4) eoan; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 05 Aug 2019 15:58:25 +0200

lambda-term (1.10.1-2build3) eoan; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 25 Jul 2019 00:07:59 +0200

lambda-term (1.10.1-2build2) disco; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 16 Jan 2019 10:43:47 +0000

lambda-term (1.10.1-2build1) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 17:06:09 +0200

lambda-term (1.10.1-2) unstable; urgency=medium

  * Team upload
  * Add ocamlbuild to Build-Depends
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Thu, 27 Jul 2017 06:41:41 +0200

lambda-term (1.10.1-1) unstable; urgency=medium

  * New upstream version
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Thu, 15 Sep 2016 00:19:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: lambda-term
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Nicolas Dandrimont <nicolas.dandrimont@crans.org>,
  Lifeng Sun <lifongsun@gmail.com>,
@@ -11,12 +12,13 @@
  liblwt-ocaml-dev (>= 2.3.0~),
  libzed-ocaml-dev (>= 1.1~),
  ocaml-findlib,
+ ocamlbuild,
  ocaml-nox (>= 3.12.0~)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Section: ocaml
 Homepage: http://forge.ocamlcore.org/projects/lambda-term/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/lambda-term.git
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/lambda-term.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/lambda-term.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/lambda-term.git
 
 Package: liblambda-term-ocaml-dev
 Architecture: any

## lambda-term 2.0.3

=== debian/changelog ===
lambda-term (2.0.3-1build1) focal; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 25 Feb 2020 18:38:37 +0100

lambda-term (2.0.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Homepage and debian/watch
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Tue, 11 Feb 2020 05:47:14 +0100

lambda-term (2.0.2-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * New upstream release (Closes: #940224)
  * Remove Lifeng from Uploaders (Closes: #925114)
  * Update Vcs-*
  * Bump debhelper compat level to 12

  [ Nicolas Dandrimont ]
  * d/control: remove myself from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Tue, 12 Nov 2019 17:07:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: lambda-term
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
- Nicolas Dandrimont <nicolas.dandrimont@crans.org>,
- Lifeng Sun <lifongsun@gmail.com>,
- Hilko Bengen <bengen@debian.org>,
+ Hilko Bengen <bengen@debian.org>
 Build-Depends:
- debhelper (>= 9),
- dh-ocaml (>= 0.9),
- liblwt-ocaml-dev (>= 2.3.0~),
- libzed-ocaml-dev (>= 1.1~),
+ debhelper-compat (= 12),
+ liblwt-ocaml-dev (>= 4),
+ liblwt-log-ocaml-dev,
+ libzed-ocaml-dev (>= 2),
  ocaml-findlib,
- ocamlbuild,
- ocaml-nox (>= 3.12.0~)
-Standards-Version: 3.9.8
+ ocaml-dune,
+ ocaml-nox,
+ dh-ocaml
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Section: ocaml
-Homepage: http://forge.ocamlcore.org/projects/lambda-term/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/lambda-term.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/lambda-term.git
+Homepage: https://github.com/ocaml-community/lambda-term
+Vcs-Browser: https://salsa.debian.org/ocaml-team/lambda-term
+Vcs-Git: https://salsa.debian.org/ocaml-team/lambda-term.git
 
 Package: liblambda-term-ocaml-dev
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p lambda-term --verbose

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR) --verbose
	rm -f $(DESTDIR)/usr/doc/lambda-term/LICENSE

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dune runtest -p lambda-term --verbose
endif

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/" \
https://github.com/ocaml-community/lambda-term/releases .*/archive/(.*)\.tar\.gz

## lambda-term 3.1.0

=== debian/changelog ===
lambda-term (3.1.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 25 Sep 2020 10:17:31 +0200

lambda-term (2.0.3-2) unstable; urgency=medium

  * Team upload
  * Bump debhelper compat level to 13
  * Add empty override_dh_dwz to prevent FTBFS

 -- Stéphane Glondu <glondu@debian.org>  Wed, 29 Jul 2020 09:21:32 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,13 @@
 Uploaders:
  Hilko Bengen <bengen@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  liblwt-ocaml-dev (>= 4),
  liblwt-log-ocaml-dev,
- libzed-ocaml-dev (>= 2),
- ocaml-findlib,
+ libzed-ocaml-dev (>= 3.1.0),
+ libreact-ocaml-dev,
+ libcamomile-ocaml-dev (>= 1.0.1),
+ libmew-vi-ocaml-dev,
  ocaml-dune,
  ocaml-nox,
  dh-ocaml

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,3 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	dune runtest -p lambda-term --verbose
 endif
-
-override_dh_missing:
-	dh_missing --fail-missing

## lambda-term 3.2.0

=== debian/changelog ===
lambda-term (3.2.0-1build2) lunar; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 27 Nov 2022 08:38:24 +0100

lambda-term (3.2.0-1build1) kinetic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 02 May 2022 16:05:57 +0200

lambda-term (3.2.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update debian/watch
  * Bump Standards-Version to 4.6.0

 -- Stéphane Glondu <glondu@debian.org>  Thu, 03 Mar 2022 11:29:33 +0100

=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/" \
https://github.com/ocaml-community/lambda-term/releases .*/lambda-term-v?([\d\.]+)\.tar\.gz

## lambda-term 3.3.1

=== debian/changelog ===
lambda-term (3.3.1-2build2) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 18 Jul 2023 08:18:19 +0200

lambda-term (3.3.1-2build1) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 08 Jul 2023 01:12:43 +0200

lambda-term (3.3.1-2) unstable; urgency=medium

  * Fix compilation with our now-current dune.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 06 Jul 2023 10:39:22 +0200

lambda-term (3.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump standards-version to 4.6.2.
  * Add patch to work around our old dune.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 03 Jul 2023 17:27:20 +0200

lambda-term (3.2.0-2) unstable; urgency=medium

  * Team upload.
  * Fix d/watch.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 03 Jul 2023 13:17:56 +0200

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,17 @@
  Hilko Bengen <bengen@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
+ liblogs-ocaml-dev,
  liblwt-ocaml-dev (>= 4),
  liblwt-log-ocaml-dev,
  libzed-ocaml-dev (>= 3.1.0),
  libreact-ocaml-dev,
  libcamomile-ocaml-dev (>= 1.0.1),
  libmew-vi-ocaml-dev,
- ocaml-dune,
- ocaml-nox,
+ ocaml-dune (>= 3.9.0),
+ ocaml,
  dh-ocaml
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Section: ocaml
 Homepage: https://github.com/ocaml-community/lambda-term

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	dune build -p lambda-term --verbose
 
 override_dh_auto_install:
-	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR) --verbose
+	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=$(OCAML_STDLIB_DIR) --verbose
 	rm -f $(DESTDIR)/usr/doc/lambda-term/LICENSE
 
 override_dh_auto_test:

## lambda-term 3.3.2

=== Makefile ===
INSTALL_ARGS := $(if $(PREFIX),--prefix $(PREFIX),)

.PHONY: all
all:
	dune build @install @examples/all

.PHONY: examples
examples:
	dune build @examples/all

.PHONY: asciiart
asciiart:
	dune build examples/asciiart/asciiart.exe

.PHONY: install
install:
	dune install $(INSTALL_ARGS)

.PHONY: uninstall
uninstall:
	dune uninstall $(INSTALL_ARGS)

.PHONY: reinstall
reinstall:
	$(MAKE) uninstall
	$(MAKE) install

.PHONY: test
test:
	dune runtest

.PHONY: all-supported-ocaml-versions
all-supported-ocaml-versions:
	dune build @install @examples/all @runtest --workspace dune-workspace.dev

.PHONY: clean
clean:
	dune clean

=== debian/changelog ===
lambda-term (3.3.2-1build24) plucky; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Mar 2025 18:44:19 +0100

lambda-term (3.3.2-1build23) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Feb 2025 21:47:49 +0100

lambda-term (3.3.2-1build22) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 30 Jan 2025 22:48:19 +0100

lambda-term (3.3.2-1build21) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jan 2025 09:27:47 +0100

lambda-term (3.3.2-1build20) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Jan 2025 19:03:15 +0100

lambda-term (3.3.2-1build19) plucky; urgency=medium

  * No-change rebuild for OCaml ABI changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Nov 2024 17:41:52 +0100

lambda-term (3.3.2-1build18) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Sep 2024 14:34:14 +0200

lambda-term (3.3.2-1build17) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Sep 2024 23:53:24 +0200

lambda-term (3.3.2-1build16) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Sep 2024 17:45:50 +0200

lambda-term (3.3.2-1build15) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 11 Sep 2024 21:49:36 +0200

lambda-term (3.3.2-1build14) oracular; urgency=medium

  * No-change rebuild for OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Sep 2024 00:44:49 +0200

lambda-term (3.3.2-1build13) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:52:16 +0200

lambda-term (3.3.2-1build12) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Jun 2024 06:54:12 +0200

lambda-term (3.3.2-1build11) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Jun 2024 10:49:51 +0200

lambda-term (3.3.2-1build10) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Jun 2024 09:51:37 +0200

lambda-term (3.3.2-1build9) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 03 Jun 2024 23:41:27 +0200

lambda-term (3.3.2-1build8) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:38:41 +0000

lambda-term (3.3.2-1build7) noble; urgency=medium

  * No-change rebuild for libev1 t64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 01:43:45 +0100

lambda-term (3.3.2-1build6) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 19 Feb 2024 19:40:04 +0100

lambda-term (3.3.2-1build5) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 19 Feb 2024 07:57:29 +0100

lambda-term (3.3.2-1build4) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 17 Feb 2024 01:24:49 +0100

lambda-term (3.3.2-1build3) noble; urgency=medium

  * Rebuild against 'new OCAML ABIs'.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 15 Dec 2023 07:55:43 +0100

lambda-term (3.3.2-1build2) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 04 Nov 2023 20:13:43 +0100

lambda-term (3.3.2-1build1) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 28 Aug 2023 18:22:28 +0200

lambda-term (3.3.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sun, 27 Aug 2023 22:05:39 +0200

lambda-term (3.3.1-3) unstable; urgency=medium

  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Thu, 17 Aug 2023 09:41:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: lambda-term
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Hilko Bengen <bengen@debian.org>
 Build-Depends:
@@ -14,7 +15,7 @@
  libmew-vi-ocaml-dev,
  ocaml-dune (>= 3.9.0),
  ocaml,
- dh-ocaml
+ dh-ocaml (>= 1.2)
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Section: ocaml

=== debian/watch ===
version=3
opts="uversionmangle=s/rc/~rc/" \
https://github.com/ocaml-community/lambda-term/tags .*/v?([\d\.]+)\.tar\.gz
